﻿@model SSCMvc.Models.MaPackage
@using SSCMvc.Models;
@{
    ViewBag.Title = "Details";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
<div class="header">
    <div class="stats">
    </div>
    <h1 class="page-title">
        Package Details</h1>
</div>
<ul class="breadcrumb">
    <li>@Html.ActionLink("Home", "Index", "MaPackage") <span class="divider">/</span></li>
    <li class="active">Dashboard</li>
</ul>
<table align="center" style="width: 500px">
    <tr>
        <td style="width: 100%">
            <fieldset>
                <legend>Package</legend>
                <table style="width: 400px" class="table_style">
                    <tr>
                        <td style="width: 120px">@Html.DisplayNameFor(model => model.MaCourse.CourseName)
                        </td>
                        <td>@Html.DisplayFor(model => model.MaCourse.CourseName)
                        </td>
                    </tr>
                    <tr>
                        <td>@Html.DisplayNameFor(model => model.PackageName)
                        </td>
                        <td>@Html.DisplayFor(model => model.PackageName)
                        </td>
                    </tr>
                    <tr>
                        <td>
                            @Html.DisplayNameFor(model => model.PackageHours)
                    </td>
                    <td>
                        @Html.DisplayFor(model => model.PackageHours)
                </td>
                </tr>
                    <tr>
                        <td>@Html.DisplayNameFor(model => model.Amount)
                        </td>
                        <td>@Html.DisplayFor(model => model.Amount)
                        </td>
                    </tr>
                    <tr>
                        <td>@Html.DisplayNameFor(model => model.IsDaily)
                        </td>
                        <td>@Html.DisplayFor(model => model.IsDaily)
                        </td>
                    </tr>
                    <tr>
                        <td>@Html.DisplayNameFor(model => model.Cdate)
                        </td>
                        <td>
                        @{string cdate = string.Format("{0:dd MMM,yyyy}", Model.Cdate);}
                        
                        @cdate
                        </td>
                    </tr>
                    <tr>
                        <td>@Html.DisplayNameFor(model => model.Status)
                        </td>
                        <td>@Html.DisplayFor(model => model.Status)
                        </td>
                    </tr>
                    <tr>
                        <td>
                        </td>
                    </tr>
                </table>
                <h2>Installment Detail</h2>
                <table class="table">
                    <tr>
                     <th>
                            <b>Installment No</b>
                        </th>
                        <th>
                            <b>Amount</b>
                        </th>
                        <th>
                            <b>Course</b>
                        </th>
                        <th>
                            <b>PackageName</b>
                        </th>
                        
                       
                       
                    </tr>
                    @{
                        double? tot = 0;
                        SSCWebDBEntities1 db = new SSCWebDBEntities1();
                        List<MaDetail> lst = db.MaDetails.Where(z => z.PackageId == Model.Id).ToList();
                        foreach (MaDetail obj in lst)
                        {
                            tot += obj.InstallAmt;
                        <tr>
                            <td>
                                @obj.InstallmentNo
                            </td>
                            <td align="right">
                                @obj.InstallAmt
                            </td>
                            <td>
                                @obj.MaCourse.CourseName
                            </td>
                            <td>
                                @obj.MaPackage.PackageName
                            </td>
                        </tr>
                        }
                    }
                    <tr>
                    <td align="left">Total</td>
                    <td colspan="3" align="left">@tot</td>
                    </tr>
                </table>
            </fieldset>
            <div>
                @Html.ActionLink("Edit", "Edit", new { id = Model.Id }) |
                @Html.ActionLink("Back to List", "Index")
            </div>
        </td>
    </tr>
</table>
